-- -- Leo's Pong -- --
-- Author   : Leo M. Cabrera
-- E-mail   : leo28c@gmail.com
-- Date     : Feb. 7, 2007
-- Version  : 1.0
-- Language : Lua
-- Platform : PSP (Lua Player)
-- File     : (4/7) collision.lua

-- Check for collision with the left bar
function collidesWithLtBar()
	if ballPos["x"]                <= ltBarPos["x"] + barWidth      and
       ballPos["x"] + ballWidth    >= ltBarPos["x"]                 and
       ballPos["y"]                >= ltBarPos["y"] - 10             and
       ballPos["y"] + ballHeight   <= ltBarPos["y"] + barHeight + 10 then
		return true
	else
		return false
	end
end

-- Check for collision with the right bar
function collidesWithRtBar()
	if ballPos["x"] + ballWidth    >= rtBarPos["x"]                 and
   	   ballPos["x"]                <= rtBarPos["x"]                 and
       ballPos["y"]                >= rtBarPos["y"] - 10             and
       ballPos["y"] + ballHeight   <= rtBarPos["y"] + barHeight + 10 then
		return true
	else
		return false
	end
end

-- Check for collision with the top of the screen
function collidesWithTop()
	if ballPos["y"] <= playTop then
    	return true
    else
    	return false
    end
end

-- Check for collision with the bottom of the screen
function collidesWithBottom()
	if ballPos["y"] + ballHeight >= playBtm then
    	return true
    else
    	return false
    end
end


-- Check for collision with the left of the screen
function collidesWithLeft()
	if ballPos["x"] <= playLft then
    	return true
    else
    	return false
    end
end

-- Check for collision with the right of the screen
function collidesWithRight()
	if ballPos["x"] + ballWidth >= playRgt then
    	return true
    else
    	return false
    end
end -- collidesWithLtBar()