-- -- Leo's Pong -- --
-- Author   : Leo M. Cabrera
-- E-mail   : leo28c@gmail.com
-- Date     : Feb. 7, 2007
-- Version  : 1.0
-- Language : Lua
-- Platform : PSP (Lua Player)
-- File     : (5/7) handleControls.lua

-- Used to check for pause (Select button)
lrPressed  = false

-- Handles button presses
function handleControls()
	pad = Controls.read()

    -- Exit with the Start key
	--if pad:start() then return false end

	-- Pause with the L/R keys
	if pad:r() or pad:l() then
		if not lrPressed then
		    lrPressed = true
            paused = not paused
            if isGameOver then isGameOver = false end
  		end
	else
	    lrPressed = false
	end

	-- Only handle controls if the game's not paused
	if not paused then

	    -- Left bar: Down
		if pad:down() then
			ltBarPos["y"] = ltBarPos["y"] + barSpeed
		end

        -- Left bar: Up
		if pad:up() then
			ltBarPos["y"]  = ltBarPos["y"] - barSpeed
		end

        -- Right bar: Down
		if pad:cross() then
			rtBarPos["y"] = rtBarPos["y"] + barSpeed
		end

        -- Right bar: Up
		if pad:triangle() then
			rtBarPos["y"]  = rtBarPos["y"] - barSpeed
		end

		-- Check for out of-bounds (left bar - up)
		if ltBarPos["y"] <= playTop then
			ltBarPos["y"] = playTop
		end

        -- Check for out of-bounds (left bar - down)
		if ltBarPos["y"] + barHeight >= playBtm then
			ltBarPos["y"] = playBtm - barHeight
		end

        -- Check for out of-bounds (right bar - up)
		if rtBarPos["y"] <= playTop then
			rtBarPos["y"] = playTop
		end

        -- Check for out of-bounds (right bar - down)
		if rtBarPos["y"] + barHeight >= playBtm then
			rtBarPos["y"] = playBtm - barHeight
		end
	end

	return true

end -- handleControls()