-- -- Leo's Pong -- --
-- Author   : Leo M. Cabrera
-- E-mail   : leo28c@gmail.com
-- Date     : Feb. 7, 2007
-- Version  : 1.0
-- Language : Lua
-- Platform : PSP (Lua Player)
-- File     : (6/7) moveBall.lua

function moveBall()

	-- Every 25 points, reward the user with more speed and an extra life
	if score >= nextWin then
		lives = lives + 1
		speed = speed + 2
		nextWin = nextWin + 15
	end

	-- Collides with left bar?
	if collidesWithLtBar() then
		score = score + 1
		direction = math.random(1,2)
		boing:play()

	-- Collides with right bar?
	elseif collidesWithRtBar() then
		score = score + 1
		direction = math.random(3,4)
		boing:play()

	-- Collides with top of screen?
	elseif collidesWithTop() then
		if direction == dUpLeft then
			direction = dDownLeft
		else
			direction = dDownRight
		end
		pluck:play()

	-- Collides with bottom of screen?
	elseif collidesWithBottom() then
		if direction == dDownLeft then
			direction = dUpLeft
		else
			direction = dUpRight
		end
		pluck:play()

	-- Collides with left side of screen?
	elseif collidesWithLeft() then
		if lives == 0 then 
			gameOver()
		else
			lives = lives - 1
			fart:play()
		end
		direction = math.random(1,2)
		fart:play()

	-- Collides with right side of screen?
	elseif collidesWithRight() then
		if lives == 0 then 
			gameOver()
		else 
			lives = lives - 1 
			fart:play()
		end
		direction = math.random(3,4)
	end

    -- Move the ball based on direction
	if     direction == dDownRight then		-- Down Right
        ballPos["x"] = ballPos["x"] + speed
		ballPos["y"] = ballPos["y"] + 1

	elseif direction == dUpRight then		-- Up Right
		ballPos["x"] = ballPos["x"] + speed
		ballPos["y"] = ballPos["y"] - 1

	elseif direction == dDownLeft then		-- Down Left
		ballPos["x"] = ballPos["x"] - speed
		ballPos["y"] = ballPos["y"] + 1

	elseif direction == dUpLeft then		-- Up Right
		ballPos["x"] = ballPos["x"] - speed
		ballPos["y"] = ballPos["y"] - 1
	end
end -- moveBall()