-- -- Leo's Pong -- --
-- Author   : Leo M. Cabrera
-- E-mail   : leo28c@gmail.com
-- Date     : Feb. 7, 2007
-- Version  : 1.0
-- Language : Lua
-- Platform : PSP (Lua Player)
-- File     : (7/7) render.lua

-- Blit the logo to the background
background:blit(scrWidth - logo:width() - 5, 5, logo)

-- Draw the 'court' (the lines)
background:drawLine(scrWidth/2, playTop, scrWidth/2, playBtm, white) -- Middle
background:drawLine(playLft, playTop, playLft, playBtm, white)		 -- Left
background:drawLine(playRgt, playTop, playRgt, playBtm, white)		 -- Right
background:drawLine(playLft, playTop, playRgt, playTop, white)		 -- Top
background:drawLine(playLft, playBtm, playRgt, playBtm, white)		 -- Bottom

function render()
	-- Print background
	screen:blit(0,0, background)

    -- Print lives
    for c = 1,lives do
        screen:blit(livesPos["x"] * c * .5,  livesPos["y"],  ball)
    end

    if paused then
        screen:print(scrWidth/2, scrHeight-15,
			"Press L or R to resume...", white)
    end

    -- If Game Over mode is on, show msg and old score, else show only score
    if isGameOver then
        screen:print(livesPos["x"] + ballWidth * 6.5,
					 livesPos["y"], "GAME OVER", white) -- Next to the lives
    	-- Print the old score
		screen:print(10,10,"You Got: " .. oldScore, Color.new(255,255,255))
    else
    	-- Print the score
		screen:print(10,10,"Score: " .. score, Color.new(255,255,255))
	end

	-- Print bars and ball
	screen:blit(ballPos["x"],  ballPos["y"],  ball)
	screen:blit(ltBarPos["x"], ltBarPos["y"], bar)
	screen:blit(rtBarPos["x"], rtBarPos["y"], bar)

   	-- Update the screen
	screen.waitVblankStart()
	screen.flip()
end -- render()