-- -- Leo's Pong -- --
-- Author   : Leo M. Cabrera
-- E-mail   : leo28c@gmail.com
-- Date     : Feb. 7, 2007
-- Version  : 1.0
-- Language : Lua
-- Platform : PSP (Lua Player)
-- File     : (3/7) vars.lua

white = Color.new(255,255,255)

-- Load background
background = Image.load("image/background.png")

-- Load logo
logo = Image.load("image/logo.png")

-- Load bar and ball images
bar = Image.load("image/bar.png")
ball = Image.load("image/ball.png")

-- Load sounds
boing = Sound.load("sound/boing_x.wav")
pluck = Sound.load("sound/pluck.wav")
fart  = Sound.load("sound/quick_fart_x.wav")
burp  = Sound.load("sound/burp_x.wav")

-- Set w/h variables so we don't have to call the functions each time
scrWidth  = screen:width()
scrHeight = screen:height()
barWidth  = bar:width()
barHeight = bar:height()
ballWidth  = ball:width()
ballHeight = ball:height()

livesPos = {x = 30, y = scrHeight - 15}

-- Set the pads and ball to orig. position
resetGame()

playLft = ltBarPos["x"] + barWidth/2
playRgt = scrWidth - playLft
playTop = playLft
playBtm = scrHeight - playLft

-- The direction the ball is facing
dDownRight = 1
dUpRight   = 2
dDownLeft  = 3
dUpLeft    = 4

-- Set a random direction
direction = math.random(4)

-- The player's score
score = 0

-- Speed of the bars
barSpeed = 6

-- Speed of the ball
speed = 4

-- Points left for a "win"
nextWin = 15

-- # of hits (used to set the speed)
score  = 0

-- Holds the score before losing so it can be displayed afterwards
oldScore = 0

-- # of lives
lives = 5

-- Start in play mode
paused = true

-- Game over variable
isGameOver = false